// ioctlCPCI.h
//
//#include <winioctl.h>


#ifndef __INTRFACE_H__
#define __INTRFACE_H__

#define FILE_DEVICE_CPCI429_1WIN  0x8000

// Define Interface reference/dereference routines for
// Interfaces exported by IRP_MN_QUERY_INTERFACE

#define CPCI429_1WIN_IOCTL(index) \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, index, METHOD_BUFFERED, FILE_READ_DATA)

#define DRV2K_PCI429_DSP_getSN \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x800, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_getPRM \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x801, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_getState \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x802, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_setFreq \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x803, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_setKCR \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x804, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_setKCI \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x805, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_writeKOP_0 \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x806, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_writeKOP_1 \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x807, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_writeKOP_2 \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x808, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_writeKOP_3 \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x809, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_read_BKOP \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x80a, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_read_KPM \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x80b, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_read_KVM \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x80c, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_read_KMP \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x80d, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_read_KOMP \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x80e, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_write_KPM_blAdr1 \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x80f, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_write_KPM_blAdr2 \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x810, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_write_KPM_blDat1 \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x811, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_write_KPM_blDat2 \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x812, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_write_KVM_blAdr1 \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x813, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_write_KVM_blAdr2 \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x814, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_write_KMP_blAdr \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x815, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_read_KVM_blDat1 \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x816, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_read_KVM_blDat2 \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x817, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_writeBU_I \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x818, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_writeBU_O \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x819, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_readBU_I \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x820, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_readBU_O \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x821, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_readFL_I \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x822, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_readFL_O \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x823, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_writeTab_I \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x824, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_writeTab_O \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x825, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_writeBKV \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x826, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_writeBKV2 \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x827, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_writeBG \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x828, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_readMem \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x829, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_writeMem \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x82a, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_readWord \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x82b, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_writeWord \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x82c, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_readRA \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x82d, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_writeRA \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x82e, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_readRD \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x82f, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_writeRD \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x830, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_readRID \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x831, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_writeRM \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x832, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_readRDP \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x833, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_writeRDV \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x834, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_readRV \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x835, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_writeRV \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x836, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_IntInit \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x837, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_IntRst \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x838, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_readPK \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x839, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_writePK \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x83a, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_writeRCA \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x83b, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_writeDV1 \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x83c, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_writeDV2 \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x83d, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define DRV2K_PCI429_DSP_readDP2 \
    CTL_CODE(FILE_DEVICE_CPCI429_1WIN, 0x83e, METHOD_BUFFERED, FILE_ANY_ACCESS)

#endif // __INTRFACE_H__
